SystemOrganization addCategory: #'JQWidgetBox-Fisheye-Dev-Tests'!
SystemOrganization addCategory: #'JQWidgetBox-Fisheye-Dev-Example'!

JQWidgetExample subclass: #JQFisheyeExample
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Fisheye-Dev-Example'!

!JQFisheyeExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 19:33'!
description
	^ 'JQuery Fisheye'! !

!JQFisheyeExample classSide methodsFor: 'accessing' stamp: 'tbn 11/2/2009 19:33'!
shortName
	^'fisheye'! !

!JQFisheyeExample methodsFor: 'updating' stamp: 'tbn 11/2/2009 19:33'!
renderContentOn: html
	|id collection image|
	collection := #('Home' 'Music' 'Email' 'Video').
	id := 'dock'.
	html div class: id; id: id;		
		with: [
		 html div class: 'dock-container'; 
		 with: [
			collection do: [:each |
			html anchor
				class: 'dock-item';
				url: '#';
				with: [					
					image := (each asString asLowercase , 'Png') asSymbol.					
					html image src: (self library perform: #/ with: (image)).
					html span: each
				]			
		]]
	].

 	html script: ((html jQuery id: id) fisheye
			maxWidth: 50;
			items: 'a';
			itemsText: 'span';
			container: '.dock-container';
			itemWidth: 40;
			proximity: 90;
			halign: 'center'		
		)! !

!JQFisheyeExample methodsFor: 'updating' stamp: 'tbn 11/2/2009 19:32'!
updateRoot: html
	super updateRoot: html.					 	 
	html stylesheet url: self library / #fisheyeCss.
	html javascript url: self library / #interfaceJs! !

JQWidgetBoxWidgetTest subclass: #JQFisheyeTest
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'JQWidgetBox-Fisheye-Dev-Tests'!

!JQFisheyeTest methodsFor: 'testing' stamp: 'tbn 11/2/2009 19:32'!
testActions
	self
		assert: ((self jQuery: 'fisheye') fisheye maxWidth: 50)
		equals: self function , '("fisheye").Fisheye({maxWidth:50})'.
! !
